Group choice

Activities ::: mod_choicegroup
Maintained by Nicolas Dunand
This module allows students to enrol themselves in a group within a course. The teacher can select which groups students can chose from and the maximum number of students allowed in each group.
Latest release:
5718 sites
1k downloads
106 fans

This module allows students to enrol themselves in a group within a course. The teacher can choose from which groups the students can chose, and the maximum number of students allowed in each group.

Depending on the activity settings, the students can view the members of each group before making a choise, and change their selected group until the deadline.

Potential privacy issues

Depending on settings chosen by a teacher, students may see what groups other users have chosen.

Screenshots

Screenshot #0

Contributors

Nicolas Dunand (Lead maintainer)
RISET Université de Lausanne: Supporting institution
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Wed, Jan 22, 2020, 2:25 PM
    Hi Axel,

    Thanks for your feedback. That is something that I'd like to see indeed. Although we are committed to keep supporting this plugin for supported and upcoming Moodle versions, we have at the moment no plans to further add features to this plugin.

    However, this would be relatively easy to implement. If you have anybody at your end willing to add the required code additions, I'd be happy to include it in the next release.
  • Tue, Nov 24, 2020, 3:56 PM
    Hi,
    Strongly an update because version 39 does not seem to work in moodle 10.
    Thank you for your investment
  • Tue, Nov 24, 2020, 11:27 PM
    I can't install it on the course page, it always shows an exclamation mark in the name field.
    moodle 3.10+
  • Wed, Nov 25, 2020, 5:07 PM
    Hi kazi, and hi Alex,

    I've just tested the plugin on Moodle 3.10, and initial full testing show no issues ... can you please be more specific, or open an issue on the bug tracker so that we can discuss it more extensively?
  • Wed, Nov 25, 2020, 10:26 PM
    Hi Nicolas,

    I can no longer instantiate a group choice activity in 3.10+. When I save the settings, nothing happens and I stay on the settings page.
    Likewise, changes to the settings for activities carried out with version 3.9 do not apply.
  • Wed, Nov 25, 2020, 10:38 PM
    The choice of theme may be the source of the problem.
    The plugin seems to work well with the classic moodle theme !
  • Wed, Nov 25, 2020, 11:06 PM
    Thanks for reporting back Kazi! If you want to investigate it further, please open an issue in the bug tracker.
  • Thu, Jun 17, 2021, 5:06 PM
    Is there a way to limit the number of choice possible per student ?
    for instance students have to choose 3 course amongst 11 available. If i set allow user to enrol in several groups, he can potentially select all the groups.
    Thank you
  • Thu, Jun 17, 2021, 6:06 PM
    Hello.
    We have a Moodle 3.3 instalation with the módule choicegroup version 1.19 for Moodle 2.7-3.8 (Build: 2020052500). Now we are going tu upgrade to Moodle 3.5 (PHP 7.1) and after that to Moodle 3.9 (PHP 7.2)
    What versións of this módule should we install to get a correct upgrade? The 1.19 for Moodle 2.7-3.9 (Build: 2020052500) (2020052500) version or the 1.31 for Moodle 3.5-3.11 (Build: 2021060200) (2021060200) versión.
    Thanks!
  • Sun, Sep 12, 2021, 3:42 AM
    Hi, a client asks whether students might receive an email confirmation of their choice immediately after choosing a particular group,Can you think of any way to do this, maybe through an event trigger in Moodle? Where would I start looking for a solution?
  • Sun, Sep 12, 2021, 10:02 PM
    @Olivier Dechepy, this is not presently possible.
  • Sun, Sep 12, 2021, 10:04 PM
    @Oscar Martinez, as a rule, always update to the most recent version of the plugin that supports your Moodle version. When updating to Moodle 3.5, select the newest version that supports Moodle 3.5 (and then same for Moodle 3.9). This would anyeway in both cases still be the latest plugin version, as it still supports Moodle 3.5 (and 3.9).
  • Sun, Sep 12, 2021, 10:06 PM
    @Peter Schmitz, this would be an additional feature. Feel free to document this in the bug tracker (link above), where we can discuss the details of this.
  • Mette Søgaard
    Wed, Sep 22, 2021, 8:22 PM
    Hi @Nicolas Dunard, thank you for a very useful plugin! Is there an upper limit to how many students can selfregister into one group?
    @Peter Schmitz, have you tried "The Augmented Teacher"?
  • Thu, Sep 23, 2021, 9:31 PM
    Hello @Mette Søgaard,
    Yes you can use the "Limit the number of responses allowed" setting in the activity parameters.
1 2 3 4 5 6 7 8 9 10
Please login to post comments